/* Hero Section Styles */
.hero-section {
  position: relative;
  width: 100%;
  height: 900px;
  overflow: hidden;
  background-color: #000000;
}

.hero-background {
  position: absolute;
  top: -16px;
  left: 0;
  width: 100%;
  height: 960px;
  z-index: 0;
}

.hero-background img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.hero-content {
  position: relative;
  z-index: 10;
  padding-top: 300px;
  max-width: 1440px;
  margin: 0 auto;
  padding-left: 70px;
  padding-right: 70px;
}

.hero-inner {
  display: flex;
  flex-direction: column;
  gap: 1rem;
  margin: 0 auto;
  text-align: center;
  line-height: 1;
}
.home .hero-title {
  color: #c39f6b;
}
.hero-intro {
  font-weight: 400;
  font-size: 40px;
  color: #ffffff;
  font-family: "Baskervville", serif;
}
.hero-title {
  font-size: 62px;
  line-height: 70px;
  color: #ffffff;
}

.hero-description {
  font-size: 16px;
  line-height: 34px;
  color: #bababa;
  max-width: 700px;
  margin: 0 auto;
}

.hero-button {
  display: inline-block;
  padding: 10px 2rem;
  background: #1f1c22;
  border: 1px solid #c39f6b;
  border-radius: 1px;
  color: #ffffff;
  cursor: pointer;
  transition: opacity 0.3s ease;
  width: fit-content;
  margin: 0 auto;
  font-family: "Baskervville", serif;
  font-size: 32px;
  line-height: 34px;
}

.hero-button:hover {
  opacity: 0.8;
}

/* Mobile Styles */
@media (max-width: 768px) {
  .hero-section {
    height: 600px;
  }
  .hero-intro {
    font-size: 28px;
  }
  .hero-content {
    padding-top: 130px;
    padding-left: 20px;
    padding-right: 20px;
  }

  .hero-title {
    font-size: 36px;
    line-height: 42px;
  }

  .hero-description {
    font-size: 14px;
    line-height: 24px;
  }
  .hero-button {
    font-size: 20px;
    padding: 10px 1.5rem;
  }
}
